<div class='popup-filter' {{did-insert this.setup}} ...attributes>
  <Filters::Pill
    @onSelect={{this.toggleVisibility}}
    @onReset={{this.reset}}
    @value={{@niceValue}}
    @title={{this.title}}
  />

  {{#if this.showSuggestions}}
    <div
      class='popover-custom popover bs-popover-bottom show search-suggestions'
    >
      <div class='popover-arrow'></div>

      <div class='popover-body'>
        {{#if this.isSearching}}
          <div class='spinner'>
            <FaIcon @icon='spinner' @spin={{true}} />
          </div>
        {{/if}}

        <div class='form-floating'>
          <Input
            id='{{this.elementId}}-search-text'
            @value={{this.value}}
            placeholder={{@placeholder}}
            class='form-control border-0 input-filter'
            {{on 'keyup' this.handleKeyPress}}
          />
          <label for='{{this.elementId}}-search-text'>{{@placeholder}}</label>
        </div>

        {{yield}}
      </div>
    </div>
  {{/if}}
</div>